-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Хост: 127.0.0.1
-- Время создания: Окт 04 2022 г., 19:21
-- Версия сервера: 10.4.20-MariaDB
-- Версия PHP: 8.0.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `shadowlogs`
--

-- --------------------------------------------------------

--
-- Структура таблицы `adminlog`
--

CREATE TABLE `adminlog` (
  `time` datetime NOT NULL,
  `admin` varchar(150) DEFAULT NULL,
  `action` varchar(300) NOT NULL,
  `player` varchar(150) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `arrestlog`
--

CREATE TABLE `arrestlog` (
  `time` datetime DEFAULT NULL,
  `player` varchar(150) DEFAULT NULL,
  `target` varchar(150) DEFAULT NULL,
  `reason` varchar(100) DEFAULT NULL,
  `stars` int(11) DEFAULT NULL,
  `pnick` varchar(150) DEFAULT NULL,
  `tnick` varchar(150) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `banlog`
--

CREATE TABLE `banlog` (
  `time` datetime DEFAULT NULL,
  `admin` varchar(150) DEFAULT NULL,
  `player` varchar(150) DEFAULT NULL,
  `until` datetime DEFAULT NULL,
  `reason` varchar(100) DEFAULT NULL,
  `ishard` tinyint(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `casinobetlog`
--

CREATE TABLE `casinobetlog` (
  `time` datetime DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `uuid` int(11) DEFAULT -1,
  `red` text DEFAULT NULL,
  `zero` text DEFAULT NULL,
  `black` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `casinoendlog`
--

CREATE TABLE `casinoendlog` (
  `time` datetime DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `uuid` int(11) DEFAULT -1,
  `state` text DEFAULT NULL,
  `type` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `casinowinloselog`
--

CREATE TABLE `casinowinloselog` (
  `time` datetime DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `uuid` int(11) DEFAULT -1,
  `wonbet` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `connlog`
--

CREATE TABLE `connlog` (
  `in` datetime DEFAULT NULL,
  `out` datetime DEFAULT NULL,
  `uuid` int(11) DEFAULT -1,
  `ip` varchar(50) DEFAULT NULL,
  `amount` varchar(256) DEFAULT NULL,
  `sclub` varchar(50) DEFAULT NULL,
  `hwid` varchar(256) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `deletelog`
--

CREATE TABLE `deletelog` (
  `time` datetime DEFAULT NULL,
  `uuid` int(11) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `account` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `eventslog`
--

CREATE TABLE `eventslog` (
  `AdminStarted` text DEFAULT NULL,
  `EventName` text DEFAULT NULL,
  `MembersLimit` text DEFAULT NULL,
  `Started` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `idlog`
--

CREATE TABLE `idlog` (
  `in` datetime DEFAULT NULL,
  `out` datetime DEFAULT NULL,
  `from` varchar(150) DEFAULT NULL,
  `uuid` int(11) DEFAULT -1,
  `id` int(11) DEFAULT -1,
  `name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `itemslog`
--

CREATE TABLE `itemslog` (
  `time` datetime DEFAULT NULL,
  `from` varchar(150) DEFAULT NULL,
  `to` varchar(150) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `data` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `moneylog`
--

CREATE TABLE `moneylog` (
  `time` datetime DEFAULT NULL,
  `from` varchar(150) DEFAULT NULL,
  `to` varchar(150) DEFAULT NULL,
  `amount` bigint(20) DEFAULT NULL,
  `comment` varchar(80) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

--
-- Дамп данных таблицы `moneylog`
--

INSERT INTO `moneylog` (`time`, `from`, `to`, `amount`, `comment`) VALUES
('2022-09-25 13:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-25 13:01:21', 'frac(11)', 'player(333333)', 10000000, 'takeStock'),
('2022-09-25 15:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-25 16:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-25 17:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-25 17:00:27', 'server', 'player(333333)', 600000, 'houseSell(744)'),
('2022-09-26 20:00:00', 'server', 'player(333333)', 80000, 'payday'),
('2022-09-26 22:00:00', 'server', 'player(333333)', 80000, 'payday'),
('2022-09-27 19:00:00', 'server', 'player(333333)', 80000, 'payday'),
('2022-09-27 20:00:00', 'server', 'player(333333)', 80000, 'payday'),
('2022-09-27 20:40:42', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:43', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:43', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:45', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:46', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:46', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:47', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:47', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:48', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:49', 'player(333333)', 'biz(52)', 120, 'buyShop'),
('2022-09-27 20:40:49', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:50', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:51', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:52', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:53', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:53', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:54', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:40:55', 'player(333333)', 'biz(52)', 160, 'buyShop'),
('2022-09-27 20:44:25', 'player(333333)', 'biz(22)', 5000, 'buyClothes'),
('2022-09-27 20:44:38', 'player(333333)', 'biz(22)', 900, 'buyClothes'),
('2022-09-27 20:44:44', 'player(333333)', 'biz(22)', 3700, 'buyClothes'),
('2022-09-27 21:00:00', 'server', 'player(333333)', 80000, 'payday'),
('2022-09-27 23:40:26', 'frac(13)', 'player(333333)', 10000000, 'takeStock'),
('2022-09-27 23:40:50', 'player(333333)', 'frac(13)', 3000000, 'putStock'),
('2022-09-28 00:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-28 21:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-29 20:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-29 21:00:00', 'server', 'player(333333)', 450000, 'payday'),
('2022-09-29 22:00:00', 'server', 'player(333333)', 1100, 'payday'),
('2022-09-30 21:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-09-30 22:00:00', 'server', 'player(333333)', 450000, 'payday'),
('2022-09-30 23:00:00', 'server', 'player(333333)', 500000, 'payday'),
('2022-10-01 21:00:00', 'server', 'player(333333)', 100, 'allowance'),
('2022-10-01 23:00:00', 'server', 'player(333333)', 500000, 'payday'),
('2022-10-02 14:00:00', 'server', 'player(333333)', 500000, 'payday'),
('2022-10-02 17:00:00', 'server', 'player(333333)', 6600, 'payday'),
('2022-10-02 20:00:00', 'server', 'player(333333)', 450000, 'payday'),
('2022-10-03 21:00:00', 'server', 'player(333333)', 6600, 'payday'),
('2022-10-03 22:00:00', 'server', 'player(333333)', 6600, 'payday');

-- --------------------------------------------------------

--
-- Структура таблицы `namelog`
--

CREATE TABLE `namelog` (
  `time` datetime DEFAULT NULL,
  `uuid` int(11) DEFAULT NULL,
  `old` varchar(50) DEFAULT NULL,
  `new` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `stocklog`
--

CREATE TABLE `stocklog` (
  `time` datetime DEFAULT NULL,
  `frac` tinyint(4) DEFAULT NULL,
  `uuid` varchar(150) DEFAULT NULL,
  `type` varchar(100) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `in` tinyint(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `ticketlog`
--

CREATE TABLE `ticketlog` (
  `time` datetime DEFAULT NULL,
  `player` varchar(150) DEFAULT NULL,
  `target` varchar(150) DEFAULT NULL,
  `sum` int(11) DEFAULT NULL,
  `reason` varchar(100) DEFAULT NULL,
  `pnick` varchar(150) DEFAULT NULL,
  `tnick` varchar(150) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Структура таблицы `votelog`
--

CREATE TABLE `votelog` (
  `election` text DEFAULT NULL,
  `login` text DEFAULT NULL,
  `votefor` text DEFAULT NULL,
  `time` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `adminlog`
--
ALTER TABLE `adminlog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `admin` (`admin`) USING BTREE,
  ADD KEY `action` (`action`) USING BTREE,
  ADD KEY `player` (`player`) USING BTREE;

--
-- Индексы таблицы `arrestlog`
--
ALTER TABLE `arrestlog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `player` (`player`) USING BTREE,
  ADD KEY `target` (`target`) USING BTREE,
  ADD KEY `reason` (`reason`) USING BTREE,
  ADD KEY `stars` (`stars`) USING BTREE,
  ADD KEY `pnick` (`pnick`) USING BTREE,
  ADD KEY `tnick` (`tnick`) USING BTREE;

--
-- Индексы таблицы `banlog`
--
ALTER TABLE `banlog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `admin` (`admin`) USING BTREE,
  ADD KEY `player` (`player`) USING BTREE,
  ADD KEY `until` (`until`) USING BTREE,
  ADD KEY `reason` (`reason`) USING BTREE,
  ADD KEY `ishard` (`ishard`) USING BTREE;

--
-- Индексы таблицы `connlog`
--
ALTER TABLE `connlog`
  ADD KEY `in` (`in`) USING BTREE,
  ADD KEY `out` (`out`) USING BTREE,
  ADD KEY `uuid` (`uuid`) USING BTREE,
  ADD KEY `ip` (`ip`) USING BTREE,
  ADD KEY `sclub` (`sclub`) USING BTREE,
  ADD KEY `hwid` (`hwid`) USING BTREE;

--
-- Индексы таблицы `deletelog`
--
ALTER TABLE `deletelog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `uuid` (`uuid`) USING BTREE,
  ADD KEY `name` (`name`) USING BTREE,
  ADD KEY `account` (`account`) USING BTREE;

--
-- Индексы таблицы `idlog`
--
ALTER TABLE `idlog`
  ADD KEY `in` (`in`) USING BTREE,
  ADD KEY `out` (`out`) USING BTREE,
  ADD KEY `from` (`from`) USING BTREE,
  ADD KEY `uuid` (`uuid`) USING BTREE,
  ADD KEY `id` (`id`) USING BTREE,
  ADD KEY `name` (`name`) USING BTREE;

--
-- Индексы таблицы `itemslog`
--
ALTER TABLE `itemslog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `from` (`from`) USING BTREE,
  ADD KEY `to` (`to`) USING BTREE,
  ADD KEY `type` (`type`) USING BTREE,
  ADD KEY `amount` (`amount`) USING BTREE,
  ADD KEY `data` (`data`) USING BTREE;

--
-- Индексы таблицы `moneylog`
--
ALTER TABLE `moneylog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `from` (`from`) USING BTREE,
  ADD KEY `to` (`to`) USING BTREE,
  ADD KEY `amount` (`amount`) USING BTREE,
  ADD KEY `comment` (`comment`) USING BTREE;

--
-- Индексы таблицы `namelog`
--
ALTER TABLE `namelog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `uuid` (`uuid`) USING BTREE,
  ADD KEY `old` (`old`) USING BTREE,
  ADD KEY `new` (`new`) USING BTREE;

--
-- Индексы таблицы `stocklog`
--
ALTER TABLE `stocklog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `frac` (`frac`) USING BTREE,
  ADD KEY `uuid` (`uuid`) USING BTREE,
  ADD KEY `type` (`type`) USING BTREE,
  ADD KEY `amount` (`amount`) USING BTREE,
  ADD KEY `in` (`in`) USING BTREE;

--
-- Индексы таблицы `ticketlog`
--
ALTER TABLE `ticketlog`
  ADD KEY `time` (`time`) USING BTREE,
  ADD KEY `player` (`player`) USING BTREE,
  ADD KEY `target` (`target`) USING BTREE,
  ADD KEY `sum` (`sum`) USING BTREE,
  ADD KEY `reason` (`reason`) USING BTREE,
  ADD KEY `pnick` (`pnick`) USING BTREE,
  ADD KEY `tnick` (`tnick`) USING BTREE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
